<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="topbar">
        <div class="breadcrumb-holder">
            <button class="button-icon" @click="$router.go(-1)"><i class="icon-back"></i></button>
            <Breadcrumb :breadcrumb="breadcrumb"/>
        </div>
        <div class="detail-header">
            <div class="quick-actions">
                <div class="quick-actions-wrapper">
                    <div class="button button-icon rounded" @click.prevent="emitEditClick"><i class="icon-edit"></i></div>
                    <a href="#" class="button button-icon rounded favourite"><i class="icon-favourites-line"></i></a>
                    <a href="#" class="button button-icon rounded"><i class="icon-share"></i></a>
                    <a href="#" class="button button-icon rounded"><i class="icon-download"></i></a>
                    <a href="#" class="button button-icon rounded" @click.prevent="emitDeleteClick"><i class="icon-delete"></i></a>
                </div>
            </div>
        </div>
    </div>
</template>
<script setup lang="ts">
import { defineEmits } from 'vue';

// Define Breadcrumb interface
interface BreadcrumbI {
    title: string;
    link: string;
}

const props = defineProps < {
    breadcrumb: BreadcrumbI[];
} > ();

// Emit an event for the edit button
const emit = defineEmits(['edit-click','delete-click']);
const emitEditClick = () => {
    emit('edit-click');
};
const emitDeleteClick = () => {
    emit('delete-click');
};

</script>